#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin>>n;
    vector<int> a(n);
    for(int &i : a) cin>> i;
    cout << max(max(abs(a[0]-a[1]),abs(a[1]-a[2])),abs(a[2]-a[0])) << '\n';
    cout << 1 << " " << 2 << " "<<3<< '\n';
}
